| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs | Functions
vector2d.h File Reference
`#include "irrMath.h"`
`#include "dimension2d.h"`

Go to the source code of this file.

## Classes

- class irr::core::vector2d< T >
    2d vector template class with lots of operators and methods. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

- typedef vector2d< f32 > irr::core::vector2df
    Typedef for f32 2d vector.
- typedef vector2d< s32 > irr::core::vector2di
    Typedef for integer 2d vector.

## Functions

- template<class S , class T > vector2d< T > irr::core::operator* (const S scalar, const vector2d< T > &vector)